#!usr/bin/mysql
# keywords: query progid tlcom temp libname
# description: when progid strings can't join to a typelib by path or typelib.id, then use this hack
# date: 10/13/01 12:42PM
# MySQL dump 8.12
#
# Host: localhost    Database: tlcom
#--------------------------------------------------------
# Server version	3.23.33

#
# Table structure for table 'orphans'
#

drop table if exists orphans;
CREATE TABLE orphans (
  progid_id int(10) unsigned NOT NULL default '0',
  libname char(50) NOT NULL default '',
  class char(50) NOT NULL default '',
  PRIMARY KEY (progid_id)
) TYPE=MyISAM;

# split the orphan progid strings into libname and class, then insert into table tmp
insert into orphans ( progid_id, libname, class ) select
progid.id, mid(progid.progid, 1, instr( progid.progid, '.' )-1), 
mid( progid.progid,instr( progid.progid, '.' )+1) from progid
where  ( IsNull( pathid ) and IsNull( typelibid ) and (instr( progid.progid, '.' ) <>0));

# this will expose progid strings that join by libname
#select tmp.libname, class, path.path from tmp
#left join typelib on tmp.libname = typelib.libname
#left join path on typelib.pathid=path.id
#where typelib.pathid<>'null'




