option explicit

' keywords: typelib tlviewer utility register
' description: this script is included with the TLViewer
'  Object Browser to register WScript and VBScript_Globals
'  so they can be registered and browsed

' url: http://mysite.verizon.net/marks.pryor/tlviewer.htm

dim tl
set tl = createobject("tli.typelibinfo")

' get the windir for the OS
dim windir, wsh
set wsh = CreateObject("WScript.Shell")
windir = wsh.ExpandEnvironmentStrings("%windir%")

if Right( windir,1) <> "\" then windir = windir & "\"

' register the IHost and VBScript_Globals libraries

dim arLibs, zzLib, sPrefix
arLibs = array( "wscript.exe", "vbscript.dll")

for each zzLib in arLibs
   sPrefix = ""
   if instr(1, windir, "nt", vbtextcompare ) then
      sPrefix =  "system32\"
   else
      if instr( 1, zzLib, "dll", vbtextcompare ) then
         sPrefix = "system\"
      end if
   end if
   
   wscript.echo windir & sPrefix &  zzLib
   
   tl.containingfile = windir & sPrefix &  zzLib   
   tl.register()
   wscript.echo tl.helpstring
next
